[LEDE-DEV] [PATCH] dnsmasq: fix error in call of list_contains()

Paul Oranje por at xs4all.nl
Tue Jun 13 01:02:17 PDT 2017


Fixes the first parameter to the call of list_contains() in dnsmasq_ismain()

Signed-off-by: Paul Oranje <por at xs4all.nl>
---
Commit a53f8ba6771de64c9c82a2e6867791226f3003cb introduces an error that has not
shown up in my tests of that commit (testing sh script is tough).
Thanks to Hartmut (e9hack).
---
 package/network/services/dnsmasq/Makefile           | 2 +-
 package/network/services/dnsmasq/files/dnsmasq.init | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/package/network/services/dnsmasq/Makefile b/package/network/services/dnsmasq/Makefile
index 35ac6b2891..11baff37e8 100644
--- a/package/network/services/dnsmasq/Makefile
+++ b/package/network/services/dnsmasq/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=dnsmasq
 PKG_VERSION:=2.77
-PKG_RELEASE:=4
+PKG_RELEASE:=5
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
 PKG_SOURCE_URL:=http://thekelleys.org.uk/dnsmasq/
diff --git a/package/network/services/dnsmasq/files/dnsmasq.init b/package/network/services/dnsmasq/files/dnsmasq.init
index fda11401db..8dc11288af 100644
--- a/package/network/services/dnsmasq/files/dnsmasq.init
+++ b/package/network/services/dnsmasq/files/dnsmasq.init
@@ -716,7 +716,7 @@ dnsmasq_ismain()
 	[ $port = "53" ] || return 1
 
 	config_get notinterfaces "$cfg" notinterface ""
-	[ -n $notinterfaces ] && list_contains $notinterfaces "loopback" || return 1
+	[ -n $notinterfaces ] && list_contains notinterfaces "loopback" || return 1
 
 	# dnsmasq instance is designated to listen on 127.0.0.1#53.
 	return 0
-- 
2.13.1




More information about the Lede-dev mailing list